package ru.yandex.autotests.direct.web.data.statistic;

public enum ReportWizardColumns {
    SHOWS("shows"),
    ESHOWS("eshows"),
    CLICKS("clicks"),
    CTR("ctr"),
    ECTR("ectr"),
    SUM("sum"),
    AV_SUM("av_sum"),
    AVG_BID("avg_bid"),
    FP_SHOWS_AVG_POS("fp_shows_avg_pos"),
    AVG_X("avg_x"),
    FP_CLICKS_AVG_POS("fp_clicks_avg_pos"),
    BOUNCE_RATIO("bounce_ratio"),
    ADEPTH("adepth"),
    ACONV("aconv"),
    AGOALCOST("agoalcost"),
    AGOALNUM("agoalnum"),
    AGOALROI("agoalroi"),
    AGOALINCOME("agoalincome"),
    APRGOODMULTIGOAL("aprgoodmultigoal"),
    APRGOODMULTIGOAL_CPA("aprgoodmultigoal_cpa"),
    APRGOODMULTIGOAL_CONV_RATE("aprgoodmultigoal_conv_rate"),
    AVG_TIME_TO_CONV("avg_time_to_conv"),
    DEFAULT("shows,clicks,ctr,sum"),
    WITH_AVG_TIME_TO_CONV("shows,clicks,ctr,sum,avg_time_to_conv"),
    ALL("shows,clicks,ctr,sum,av_sum,fp_shows_avg_pos,fp_clicks_avg_pos,bounce_ratio,adepth,aconv,agoalcost,agoalnum,agoalroi,agoalincome");

    private String value;

    ReportWizardColumns(String value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return value;
    }
}
